Releasing a shipment
API reference ShipmentBatchReleaseAPIV3
Overview
This endpoint can be used to release a shipment in status created or pending to any of the warehouses
Method access
POST https://api.getbyrd.com/v3/shipments/release
Request Headers
Authorization: Bearer token-from >Authentication
Content-Type: application/json
User-Agent: your user-agent >How to call the APIs
Fields
| Field | Type | Description | Required |
|---|---|---|---|
| shipment_ids | list of strings | The list of shipment ids to be released. | always |
| warehouse_id | string | Warehouse to fulfill the shipment. If not specified, your default warehouse will be assigned. | optional |
Auto releaseA shipment can be released to the default warehouse automatically after it is created by setting
options.auto_release: truewhen creating the shipment.
Updated 4 days ago
